%define original_kernel_version	2.6.26
%define kernel_version		2.6.26
%define patch_level		%nil

%define testing			0

%if %testing
%define kernel_fullversion	%kernel_version%patch_level
%else
%define kernel_fullversion	%kernel_version
%endif

# Numeric extra version scheme developed by Alexander Bokovoy:
# 0.0.X -- preX
# 0.X.0 -- rcX, testX
# 1.0.0 -- release
%define patch_level_numeric     1.0.0

Name: kernel-source-%kernel_version
Version: %patch_level_numeric
Release: alt2

Summary: Linux kernel %kernel_fullversion sources
License: GPL
Group: Development/Kernel
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

Source0: linux-%original_kernel_version.tar.bz2

BuildArch: noarch
BuildPreReq: rpm-build-kernel 

%description
Kernel sources for Linux kernel %kernel_fullversion

%prep
%setup -qc
mv linux-%original_kernel_version kernel-source-%kernel_version
%if %testing
pushd kernel-source-%kernel_version
popd
%endif

%install
mkdir -p %kernel_srcdir
tar --owner=root --group=root --mode=u+w,go-w,go+rX -cjf \
	%kernel_srcdir/kernel-source-%kernel_version.tar.bz2 \
	kernel-source-%kernel_version

%files
%kernel_src/kernel-source-%kernel_version.tar.bz2

%changelog
* Thu Jul 24 2008 Michail Yakushin <silicium@altlinux.ru> 1.0.0-alt2
- Make BuildReq according kernel policy. 

* Mon Jul 14 2008 Michail Yakushin <silicium@altlinux.ru> 1.0.0-alt1
- 2.6.26 

* Sun Apr 20 2008 Michail Yakushin <silicium@altlinux.ru> 1.0.0-alt1
- 2.6.25 

* Fri Jan 25 2008 Sergey Vlasov <vsu@altlinux.ru> 1.0.0-alt1
- 2.6.24

* Sun Oct 29 2006 Sergey Vlasov <vsu@altlinux.ru> 1.0.0-alt1
- 2.6.18

* Sun Jun 18 2006 Sergey Vlasov <vsu@altlinux.ru> 1.0.0-alt1
- 2.6.17

* Sun Apr 23 2006 Dmitry V. Levin <ldv@altlinux.org> 1.0.0-alt2
- Specfile cleanup.

* Mon Mar 20 2006 Sergey Vlasov <vsu@altlinux.ru> 1.0.0-alt1
- 2.6.16

* Fri Oct 28 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.0-alt1
- 2.6.14

* Sat Jun 18 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.0-alt1
- 2.6.12
- Removed kernel-doc package (documentation generation is performed when
  building kernel-image-%%flavour packages).

* Thu Mar 03 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.0-alt1
- 2.6.11

* Mon Dec 27 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.0-alt1
- 2.6.10

* Wed Oct 20 2004 Anton Farygin <rider@altlinux.ru> 1.0.0-alt1
- 2.6.9
